Skip to main content
Post a reply to a customer review on Google My Business
POST https://services.leadconnectorhq.com/conversations/messages/review-reply

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

conversationId
string
default:"conv123"
required
Conversation ID (must have reviewId)
locationId
string
default:"loc123"
required
Account ID
message
string
default:"Thank you for your review!"
required
Review reply message text

Respuestas

conversationId
string
default:"ABC12h2F6uBrIkfXYazb"
required
Conversation ID.
emailMessageId
string
default:"rnGyqh2F6uBrIkfhFo9A"
This contains the email message id (only for Email type). Use this ID to send inbound replies to GHL to create a threaded email.
messageId
string
default:"t22c6DQcTDf3MjRhwf77"
required
This is the main Message ID
messageIds
string[]
When sending via the GMB channel, we will be returning list of messageIds instead of single messageId.
msg
string
default:"Message queued successfully."
Additional response message when sending a workflow message
forwardData
object
Optional metadata for forwarded email
status
string
default:"delivered"
required
Message status Posibles valores: ‘delivered’, ‘failed’, ‘pending’, ‘read’
{
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "messageIds": [
    "string"
  ],
  "msg": "Message queued successfully.",
  "forwardData": {
    "forwardWholeThread": false,
    "messageId": "t22c6DQcTDf3MjRhwf77",
    "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
    "forwardToEmail": "recipient@example.com",
    "recipientContactId": "DEF56h2F6uBrIkfXYacd"
  },
  "status": "delivered"
}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/conversations/messages/review-reply' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "conversationId": "conv123",
  "locationId": "loc123",
  "message": "Thank you for your review!"
}'
const response = await fetch('https://services.leadconnectorhq.com/conversations/messages/review-reply', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"conversationId": "conv123", "locationId": "loc123", "message": "Thank you for your review!"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/conversations/messages/review-reply',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"conversationId": "conv123", "locationId": "loc123", "message": "Thank you for your review!"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversations/messages/review-reply');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'conversationId': 'conv123', 'locationId': 'loc123', 'message': 'Thank you for your review!'}),
]);
$data = json_decode(curl_exec($ch), true);